<?php 
session_start();

if (!isset($_SESSION["bankloggedin"]))
	header('Location: loginbank.php?referer=' . $_SERVER["PHP_SELF"] );
	
$bankusername = $_SESSION["bankusername"];
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Chapter 7 : Security - JSON and CSRF</title>
<link rel="stylesheet" href="http://ajaxref.com/ch7/global.css" type="text/css" media="screen" />
<script src="http://ajaxref.com/ch7/ajaxtcr.js" type="text/javascript"></script>
<script type="text/javascript">

function showResponse(response)
{
  var responseOutput = document.getElementById("responseOutput");	
  var accounts = AjaxTCR.data.decodeJSON(response.xhr.responseText);
  responseOutput.innerHTML = "<h2>My Accounts</h2>"; 
  for (var i=0;i<accounts.length;i++)
	 responseOutput.innerHTML += accounts[i].accountNumber + "<br />";
}

	
function getAccounts(payload)
{
  var url = "getaccounts.php";
  var options = { method: "GET",
  				  onSuccess : showResponse};
  
  AjaxTCR.comm.sendRequest(url,options); 
}


window.onload = function() 
{ 
 document.requestForm.getaccounts.onclick=function(){getAccounts();};
} 
</script>
</head>
<body>
<div class="content">
<h1 id="welcome">First Ajax Bank - CSRF Example</h1>
<div id="logout">
  Welcome <?php echo $bankusername; ?> &nbsp; [ <a href="logoutbank.php">Logout</a> ]
</div>

<br /><br /><br /><br />

<form action="#" name="requestForm" class="clear">
	<input type="button" value="Get My Bank Accounts" name="getaccounts" />
</form>
</div>

<br /><br />
<div id="responseOutput" class="response"></div>
<br /><br />

<div id="scenarios" class="content">
<h3>Scenarios</h3>
<p>After performing your banking tasks you leave the site without logging out to: 
  <ul>
  	<li><a href="http://unsecure.ajaxref.com/ch7/jsonarray.html">visit a site you trust which has been compromised with an XSS vulnerability</a></li>
    <li><a href="http://badguy.ajaxref.com/ch7/jsonarraybad.html">somehow click a link to be sent to or maybe just accidentally visit an evil site</a></li>
 </ul> 
</p>
<p>
  <em>Communication Details: </em>Page is calling <a href="http://ajaxref.com/ch7/getaccounts.php" target="_blank">http://ajaxref.com/ch7/getaccounts.php</a> which is passing JSON data in an array and using cookie stored authentication. 
</p>
</div>

</body>
</html>